LfmCovarianceProxy Class Reference

proxy for a libor forward model covariance parameterization More...

`#include <ql/legacy/libormarketmodels/lfmcovarproxy.hpp>`

Inheritance diagram for LfmCovarianceProxy:
[legend]

## Public Member Functions

| LfmCovarianceProxy (const ext::shared_ptr< LmVolatilityModel > &volaModel, const ext::shared_ptr< LmCorrelationModel > &corrModel)
ext::shared_ptr< LmVolatilityModel > | volatilityModel () const
ext::shared_ptr< LmCorrelationModel > | correlationModel () const
Disposable< Matrix > | diffusion (Time t, const Array &x=Null< Array >()) const
Disposable< Matrix > | covariance (Time t, const Array &x=Null< Array >()) const
virtual Real | integratedCovariance (Size i, Size j, Time t, const Array &x=Null< Array >()) const
virtual Disposable< Matrix > | integratedCovariance (Time t, const Array &x=Null< Array >()) const
Public Member Functions inherited from LfmCovarianceParameterization
| LfmCovarianceParameterization (Size size, Size factors)
Size | size () const
Size | factors () const
virtual Disposable< Matrix > | integratedCovariance (Time t, const Array &x=Null< Array >()) const

## Protected Attributes

const ext::shared_ptr< LmVolatilityModel > | volaModel_
const ext::shared_ptr< LmCorrelationModel > | corrModel_
Protected Attributes inherited from LfmCovarianceParameterization
const Size | size_
const Size | factors_

## Friends

class | Var_Helper

## Detailed Description

proxy for a libor forward model covariance parameterization